@ECHO OFF

REM * ---[ DESCRIPTION SECTION ]------------------------------------

REM *****************************************************************
REM * Author: Thomas Koetzing, Thomas@Koetzing.eu
REM * Download at: http://www.KoetzingIT.de
REM * Created: 10/29/2015
REM * Last Update: 10/29/2015
REM * Version: 1.0
REM *
REM * Download
REM * Chrome Enterprise
REM * https://www.google.de/chrome/business/browser/admin
REM *
REM * Chrome group policy templates
REM * http://dl.google.com/dl/edgedl/chrome/policy/policy_templates.zip
REM *
REM * Purpose:
REM * Installes Google Chrome Enterprise 
REM * 
REM * Version History:  v1.0 initial release 10/29/2015 (Thomas Koetzing)
REM *			
REM *	
REM *
REM *****************************************************************

REM * ---[ INSTALL SECTION ]-----------------------------------------

REM *****************************************************************
REM * Installtion Google Chrome 
REM * ---------------------------------------------------------------
REM * Currpath= Current Path (default %~dp0 = current folder location, must set with W2K)
REM * qb for basic UI, qb-! for no UI
REM *****************************************************************
SET CURRPATH=%~dp0
MSIEXEC.EXE /I "%CURRPATH%\GoogleChromeStandaloneEnterprise.msi" NOGOOGLEUPDATEPING=1 /q /norestart


REM *****************************************************************
REM * Copy Chrome custom master_preferences file  
REM * ---------------------------------------------------------------
REM *****************************************************************
Copy /y "%CURRPATH%\master_preferences" "PrgamFiles%\Google\Chrome\Application"


REM *****************************************************************
REM * Remove Google Update Services 
REM * ---------------------------------------------------------------
REM *****************************************************************
sc stop gupdate
sc delete gupdate
sc stop gupdatem
sc delete gupdatem